Arborescence des pages
Aller directement à la fin des métadonnées
Aller au début des métadonnées

Ce guide concerne uniquement les hébergements mutualisés sous Plesk 9.5

Si vous souhaitez modifier la version de PHP sur l’un de vos sites Web, nous avons récemment mis en place une solution technique. Cette manipulation permet d’utiliser les versions suivantes : PHP 5.3, PHP 5.4, PHP 5.5 ou PHP 5.6

Cela consiste à créer un fichier nommé « .dhconfig » (n’oubliez pas le point avant dhconfig).

Dans ce fichier, placez l’une des lignes ci-dessous en fonction de la version de PHP que vous souhaitez utiliser :

  • PHP_VERSION 5.3
  • PHP_VERSION 5.4
  • PHP_VERSION 5.5
  • PHP_VERSION 5.6 

Le contenu de votre fichier sera par exemple :

PHP_VERSION 5.4

Placez ce fichier à la racine de votre site, c’est à dire dans le répertoire « httpdocs/ » de votre site Web.

Une fois le fichier en place, rendez-vous dans votre panel de gestion Plesk puis sur le domaine concerné et cliquez sur « Paramètres d'hébergement Web ».
Assurez vous que la prise en charge de PHP est activée et que l’option « en tant qu’application FastCGI » est sélectionnée.

Enfin, cliquez sur le bouton « OK » situé en bas de la page. Même si vous n’avez effectué aucune modification particulière dans les paramètres, vous devez cliquer sur le bouton.
Ainsi, la configuration sera re-créée et la modification sera prise en compte après quelques minutes.

La modification réalisée sera effective uniquement sur le domaine concerné.